﻿Imports Infragistics.Controls.Menus

Class MainWindow

   Private ViewModel As ViewModel


    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()


        ViewModel = New ViewModel()
        Me.DataContext = ViewModel
      ' Add any initialization after the InitializeComponent() call.

		EventManager.RegisterClassHandler(GetType(MenuItem), MenuItem.ClickEvent, New RoutedEventHandler(AddressOf ContextMenuClicked))



    End Sub

	Private Sub CheckedChanged(sender As Object, e As Infragistics.Controls.Menus.NodeEventArgs)
	End Sub

	Private Sub ContextMenuClicked(InSender As Object, e As RoutedEventArgs)

		If TypeOf (InSender) Is MenuItem Then
			Dim menuItem As MenuItem
			Dim menuHeader As String
			Dim clickedNode As XamDataTreeNodeControl
			Dim currObject As clsMenuItem
			Dim clickedTree As XamDataTree

			menuItem = DirectCast(InSender, MenuItem)
			menuHeader = menuItem.Header.ToString
			clickedNode = DirectCast(DirectCast(menuItem.Parent, ContextMenu).PlacementTarget, XamDataTreeNodeControl)
			currObject = DirectCast(clickedNode.Node.Data, clsMenuItem)
			clickedTree = clickedNode.Node.NodeLayout.Tree

			Select Case menuHeader
			Case "Expand"
				clickedNode.Node.IsExpanded = True
			Case "ExpandAll"
				clickedTree = clickedNode.Node.NodeLayout.Tree
				For Each nd As XamDataTreeNode In clickedTree.Nodes
					nd.IsExpanded = True
				Next
			Case "CollapseAll"
				clickedTree = clickedNode.Node.NodeLayout.Tree
				For Each nd As XamDataTreeNode In clickedTree.Nodes
					nd.IsExpanded = False
				Next
			Case "Collapse"
				clickedNode.Node.IsExpanded = False
			End Select
		End If

	End Sub

End Class
